Bug 1122709 - [RFE] Katello-install needs more obvious PASS/FAIL output at the end
Summary: [RFE] Katello-install needs more obvious PASS/FAIL output at the end
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: Unspecified
Hardware: x86_64
OS: Linux
medium
high vote
Target Milestone: Unspecified
Assignee: Ivan Necas
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks: GSS_Sat6Beta_Tracker, GSS_Sat6_Tracker
TreeView+ depends on / blocked
 
Reported: 2014-07-23 20:28 UTC by Andrew Schofield
Modified: 2016-02-16 18:23 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Build Name: 14370, Installation Guide-6.0 Beta-1 Build Date: 11-07-2014 10:53:41 Topic ID: 31364-681128 [Latest]
Last Closed: 2016-02-16 18:23:51 UTC


Attachments (Terms of Use)

Description Andrew Schofield 2014-07-23 20:28:45 UTC
Title: Red Hat Satellite 6 Layout and Topology

Describe the issue:

(Install on RHEL 6.5)

Subscribed to channel, did yum install katello then katello-installer (currently no options specified):

[ ~]# katello-installer
 Could not start Service[elasticsearch]: Execution of '/usr/share/katello-installer/modules/service_wait/bin/service-wait elasticsearch start' returned 5: Starting elasticsearch: [  OK  ]
 /Stage[main]/Elasticsearch::Service/Service[elasticsearch]/ensure: change from stopped to running failed: Could not start Service[elasticsearch]: Execution of '/usr/share/katello-installer/modules/service_wait/bin/service-wait elasticsearch start' returned 5: Starting elasticsearch: [  OK  ]
 Could not start Service[tomcat6]: Execution of '/usr/share/katello-installer/modules/service_wait/bin/service-wait tomcat6 start' returned 5: Starting tomcat6: [  OK  ]
 /Stage[main]/Candlepin::Service/Service[tomcat6]/ensure: change from stopped to running failed: Could not start Service[tomcat6]: Execution of '/usr/share/katello-installer/modules/service_wait/bin/service-wait tomcat6 start' returned 5: Starting tomcat6: [  OK  ]
Installing             Done                                               [100%] [..........................................................]
  Something went wrong! Check the log for ERROR-level output

Rerunning (no changes made):

[ ~]# katello-installer
 /Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[usl10149335.am.hedani.net]: Could not evaluate: Could not load data from https://usl10149335.am.hedani.net
Installing             Done                                               [100%] [..........................................................]
  Something went wrong! Check the log for ERROR-level output
  The full log is at /var/log/katello-installer/katello-installer.log

(Presumable due to tomcat not running as per the first message - but surely I should be getting tomcat errors again as tomcat isn't running)

katello-restart gives the following:

[ ~]# katello-service restart
Shutting down Katello services...
Stopping httpd:                                            [  OK  ]
celery init v10.0.
Using configuration: /etc/default/pulp_workers, /etc/default/pulp_celerybeat
Stopping pulp_celerybeat... OK
celery init v10.0.
Using config script: /etc/default/pulp_workers
celery multi v3.1.11 (Cipater)
> Stopping nodes...
        > reserved_resource_worker-1@usl10149335: TERM -> 15067
        > reserved_resource_worker-0@usl10149335: TERM -> 15048
> Waiting for 2 nodes -> 15067, 15048......
        > reserved_resource_worker-1@usl10149335: OK
> Waiting for 1 node -> 15048....
        > reserved_resource_worker-0@usl10149335: OK

celery init v10.0.
Using config script: /etc/default/pulp_resource_manager
celery multi v3.1.11 (Cipater)
> Stopping nodes...
        > resource_manager@usl10149335: TERM -> 14911
> Waiting for 1 node -> 14911.....
        > resource_manager@usl10149335: OK

Stopping elasticsearch:                                    [  OK  ]
Stopping Qpid AMQP daemon:                                 [  OK  ]
Stopping mongod:                                           [  OK  ]
Stopping tomcat6:                                          [  OK  ]
Done.
Starting Katello services...
Starting tomcat6:                                          [  OK  ]
Starting mongod:                                           [  OK  ]
Waiting for mongod to become available:                    [  OK  ]
Starting Qpid AMQP daemon:                                 [  OK  ]
Starting elasticsearch:                                    [  OK  ]
celery init v10.0.
Using config script: /etc/default/pulp_resource_manager
celery multi v3.1.11 (Cipater)
> Starting nodes...
        > resource_manager@usl10149335: OK
celery init v10.0.
Using config script: /etc/default/pulp_workers
celery multi v3.1.11 (Cipater)
> Starting nodes...
        > reserved_resource_worker-0@usl10149335: OK
        > reserved_resource_worker-1@usl10149335: OK
celery init v10.0.
Using configuration: /etc/default/pulp_workers, /etc/default/pulp_celerybeat
Starting pulp_celerybeat...
Starting httpd: [Wed Jul 23 16:14:32 2014] [warn] module passenger_module is already loaded, skipping
                                                           [  OK  ]
Starting katello-jobs:                                     [  OK  ]
Done.

Login now seems ok.

Suggestions for improvement:
This implies false positives.

Additional information:

Comment 1 RHEL Product and Program Management 2014-07-23 20:34:19 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Bryan Kearney 2014-08-05 17:42:26 UTC
This is an RFE, there should be an explicit "This did no work" at the end of the install process.

Comment 4 Bryan Kearney 2014-08-05 17:42:56 UTC
This is an RFE, there should be an explicit "This did no work" at the end of the install process.

Comment 6 Mike McCune 2014-08-21 15:39:56 UTC
We need to have a more obvious output at the end if the installer failed.  We should make it something like:

# katello-installer
 /Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[usl10149335.am.hedani.net]: Could not evaluate: Could not load data from https://usl10149335.am.hedani.net
Installing             Done                                               [100%] [..........................................................]

The status of this run of the installer is:

 [FAIL] - *** ERROR *** The execution of the installer failed to properly configure the Satellite.  Please do not attempt to use the user interface, start services or use the Satellite for any operations until this error is corrected. Please check the log for ERROR-level output.
  The full log is at /var/log/katello-installer/katello-installer.log

Successful execution could be something like:

# katello-installer
Installing             Done                                               [100%] [..........................................................]

The status of this run of the installer is:

 [OK] - Success, the Satellite is ready for use.

Comment 9 Ivan Necas 2015-05-11 11:15:10 UTC
I belive the desire is to have more detailed error output, than just "something went wrong"?

Comment 10 Bryan Kearney 2016-02-16 18:23:51 UTC
We believe that the version running in 6.1 and 6.2 meets this requirements. If this does not meet your needs, please feel free to re-open. Ideally, we can discuss this based on the 6.2 installer.


Note You need to log in before you can comment on or make changes to this bug.